> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Payment Method

> Remove payment methods from the user



## OpenAPI

````yaml /openapi.yaml delete /api/v1/users/{user_id}/payment-methods/{pm}/
openapi: 3.0.3
info:
  title: Cariqa Connect API
  version: 1.0.0 (v1)
  description: OPENAPI schema of the Cariqa Connect API
servers:
  - url: https://connect.cariqa.com
    description: Connect
  - url: https://dev.connect.cariqa.com
    description: Connect Playground
security: []
paths:
  /api/v1/users/{user_id}/payment-methods/{pm}/:
    delete:
      tags:
        - Payments
      summary: Delete Payment Method
      description: Remove payment methods from the user
      operationId: users_payment_methods_destroy
      parameters:
        - in: path
          name: pm
          schema:
            type: string
          required: true
        - in: path
          name: user_id
          schema:
            type: string
          required: true
      responses:
        '204':
          description: No response body
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
          description: ''
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: ''
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorDetail:
      type: object
      properties:
        detail:
          type: string
        error:
          $ref: '#/components/schemas/Error'
      required:
        - detail
        - error
    Detail:
      type: object
      description: 400 status error message response serializer.
      properties:
        detail:
          type: string
      required:
        - detail
    Error:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/ErrorTypeEnum'
          description: |-
            Type of the error

            * `validation_error` - validation_error
            * `payment_method_error` - payment_method_error
            * `payment_error` - payment_error
            * `temporary_locked` - temporary_locked
            * `already_charging` - already_charging
            * `already_stopped` - already_stopped
            * `station_availability_issue` - station_availability_issue
            * `billing_data_required` - billing_data_required
            * `charging_provider_error` - charging_provider_error
            * `unexpected_error` - unexpected_error
            * `pre_authorization_failed` - pre_authorization_failed
        details:
          type: string
          description: Additional details about the error
        payment_intent_client_secret:
          type: string
          description: Client secret of the payment intent that failed
      required:
        - details
        - type
    ErrorTypeEnum:
      enum:
        - validation_error
        - payment_method_error
        - payment_error
        - temporary_locked
        - already_charging
        - already_stopped
        - station_availability_issue
        - billing_data_required
        - charging_provider_error
        - unexpected_error
        - pre_authorization_failed
      type: string
      description: |-
        * `validation_error` - validation_error
        * `payment_method_error` - payment_method_error
        * `payment_error` - payment_error
        * `temporary_locked` - temporary_locked
        * `already_charging` - already_charging
        * `already_stopped` - already_stopped
        * `station_availability_issue` - station_availability_issue
        * `billing_data_required` - billing_data_required
        * `charging_provider_error` - charging_provider_error
        * `unexpected_error` - unexpected_error
        * `pre_authorization_failed` - pre_authorization_failed
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.

````